Name:          fping
Version:       5.3
Release:       1mamba
Summary:       Quickly ping N number of hosts to determine their reachability
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://survey-smiles.com/
Source:        http://fping.org/dist/fping-%{version}.tar.gz
Patch0:        fping-2.4b2_to-ipv6-debian_fix.diff.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
fping is a ping like program which uses the Internet Control Message Protocol (ICMP) echo request to determine if a host is up.
fping is different from ping in that you can specify any number of hosts on the command line, or specify a file containing the lists of hosts to ping.
Instead of trying one host until it timeouts or replies, fping will send out a ping packet and move on to the next host in a round-robin fashion.
If a host replies, it is noted and removed from the list of hosts to check.
If a host does not respond within a certain time limit and/or retry limit it will be considered unreachable.

Unlike ping, fping is meant to be used in scripts and its output is easy to parse.

%prep
%setup -q
#%patch0 -p0

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%attr(4755,root,root) %{_sbindir}/fping
%{_mandir}/man8/fping.*
%doc COPYING

%changelog
* Fri Jan 03 2025 Automatic Build System <autodist@openmamba.org> 5.3-1mamba
- automatic version update by autodist

* Mon Apr 22 2024 Automatic Build System <autodist@openmamba.org> 5.2-1mamba
- automatic version update by autodist

* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Thu Sep 10 2020 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 4.4-1mamba
- automatic version update by autodist

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic version update by autodist

* Wed Oct 03 2018 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Thu Mar 02 2017 Automatic Build System <autodist@mambasoft.it> 3.16-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 3.13-1mamba
- automatic version update by autodist

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic update by autodist

* Mon Mar 10 2014 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Fri Oct 11 2013 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Mon Sep 10 2012 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- update to 3.2

* Thu Sep 13 2007 Aleph0 <aleph0@openmamba.org> 2.4b2-4mamba
- spec file fixed and updated

* Fri Jul 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.4b2-3qilnx
- added debian patch

* Mon Feb 23 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.4b2-2qilnx
- fix: fping must be setuid root

* Tue Oct 23 2003 Davide Madrisan <davide.madrisan@qilinux.it> 2.4b2-1qilnx
- first build
